Page 1 of 1

ASIStudio - ASILive, missing dependencies

Posted: Tue Feb 18, 2020 9:44 am
by gilesc
Hi,

I have installed ASIStudio on Ubuntu 19.10.

When trying to run ASILive nothing happens, it appears a number of missing library dependencies are present:

:~/ASIStudio$ ldd ASILive | grep "not found"
libavcodec-ffmpeg.so.56 => not found
libavformat-ffmpeg.so.56 => not found
libavutil-ffmpeg.so.54 => not found
libswscale-ffmpeg.so.3 => not found
libpng12.so.0 => not found
libjasper.so.1 => not found
libIlmImf-2_2.so.22 => not found
libHalf.so.12 => not found

Can you advise where we can get these libraries from? Or perhaps they can be included in the ASIStudio install?

Re: ASIStudio - ASILive, missing dependencies

Posted: Fri Feb 21, 2020 10:05 am
by Hurely
Hi,
Sorry for this problem.
The missing dependencies have been added to ASIStudio installation package , please download and install again.
Here is download link: https://astronomy-imaging-camera.com/so ... o_V1.0.run
Thanks for your feedback.

Re: ASIStudio - ASILive, missing dependencies

Posted: Fri Feb 21, 2020 4:02 pm
by gilesc
Thank you, it appears to run now, I will try it out when we have clear skies again.